Name: idzebra
Version: 2.0.52	
Release: 3%{?dist}
Summary: High performance structured text indexing and retrieval engine

Group: Applications/Databases	
License: GPLv2+
URL: http://www.indexdata.dk/zebra/	
Source0: http://ftp.indexdata.dk/pub/zebra/%{name}-%{version}.tar.gz
BuildRequires: libyaz-devel
BuildRequires: expat-devel
BuildRequires: bzip2-devel
BuildRequires: tcl
BuildRequires: zlib-devel
BuildRequires: libxslt-devel
BuildRequires: libicu-devel
BuildRequires: tcp_wrappers-devel
Requires: lib%{name}%{?_isa} = %{version}-%{release}

%description
Zebra is a high-performance, general-purpose structured text indexing
and retrieval engine. It reads structured records in a variety of input
formats (such as email, XML, and MARC) and allows access to them through
exact Boolean search expressions and relevance-ranked free-text queries.

%package -n lib%{name}
Summary: Zebra libraries
Group: Development/Libraries
%description -n lib%{name}
Libraries for the Zebra search engine.

%post -n lib%{name} -p /sbin/ldconfig
%postun -n lib%{name} -p /sbin/ldconfig

%package -n lib%{name}-modules
Summary: Zebra modules
Group: Development/Libraries
Requires: lib%{name}%{?_isa} = %{version}-%{release}
%description -n lib%{name}-modules
Modules for the Zebra search engine

%package -n lib%{name}-devel
Summary: Zebra development libraries
Group: Development/Libraries
Requires: lib%{name}%{?_isa} = %{version}-%{release}
%description -n lib%{name}-devel
Development libraries for the Zebra search engine.

 
%prep
%setup -q -n %{name}-%{version}


%build
%configure --disable-static 
sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool
make %{?_smp_mflags}

%install
make install DESTDIR=${RPM_BUILD_ROOT}
rm ${RPM_BUILD_ROOT}/%{_libdir}/*.la
rm ${RPM_BUILD_ROOT}/%{_libdir}/%{name}-2.0/modules/*.la


%files
%{_datadir}/%{name}-2.0/tab
%{_bindir}/zebrasrv*
%{_bindir}/zebraidx*
%{_bindir}/idzebra-abs2dom
%{_defaultdocdir}/%{name}-2.0
%{_mandir}/*/%{name}*
%{_mandir}/*/zebra*
%{_datadir}/%{name}-2.0-examples

%files -n lib%{name}
%doc README LICENSE.zebra NEWS ChangeLog TODO
%{_libdir}/*.so.*

%files -n lib%{name}-modules
%{_libdir}/%{name}-2.0/modules/*.so

%files -n lib%{name}-devel
%{_bindir}/idzebra-config-*
%{_includedir}/%{name}-2.0/*
%{_libdir}/*.so
%{_mandir}/*/idzebra-config-*
%{_datadir}/aclocal/*.m4

%changelog
* Sat Feb 01 2013 Parag Nemade <paragn AT fedoraproject DOT org> - 2.0.52-3
- Rebuild for icu 50

* Wed Oct 31 2012 Nicholas van Oudtshoorn <vanoudt at gmail.com> 2.0.52-2
- Minor spec file fixes
* Mon Oct 29 2012 Nicholas van Oudtshoorn <vanoudt at gmail.com> 2.0.52-1
- New version
- Spec file fixes
* Wed Apr 27 2011 Nicholas van Oudtshoorn <vanoudt at gmail.com> 2.0.46-1
- Initial spec file for Fedora
